---
title: "Delete document group"
url: "https://docs.signnow.com/docs/document-group/operations/delete-documentgroup"
type: "endpoint"
section: "document-group"
slug: "document-group/operations/delete-documentgroup"
method: "DELETE"
path: "/documentgroup/{document_group_id}"
operation_id: "delete-documentgroup"
authorization: "bearer"
---

# Delete document group

`DELETE /documentgroup/{document_group_id}`

This endpoint allows API users to delete a document group. Documents within the group are not deleted. Document groups cannot be deleted while they have a group invite

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |

## Responses

### 200

The document group was deleted.

**Example** (`Successful response`)

```json
{
  "status": "success"
}
```

### 400

* Wrong, expired, or missing token.
* The document group doesn't exist.
* The document group belongs to another user.
* The document group has an active group invite. Cancel the invite first.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Not the owner`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "User is not document group owner"
    }
  ]
}
```

**Example** (`Group invite exists`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "Cannot delete group because it has a group invite"
    }
  ]
}
```

**Example** (`Document group not found`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "unable to find document group"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X DELETE \
  "https://api.signnow.com/documentgroup/{document_group_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document-group/operations/delete-documentgroup*
